aboutsummaryrefslogtreecommitdiffstats
path: root/testing/vte3/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-07-10 11:22:21 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-07-10 11:22:21 +0000
commit7196b789cb0d66c1c3f8e1748b52d9a13ace1b15 (patch)
tree57aeeb2f9962e6c1b8a03b68232a469389cc9e2d /testing/vte3/APKBUILD
parent24472b3354739de4d56fca6b5d2ff9bb28976282 (diff)
downloadaports-7196b789cb0d66c1c3f8e1748b52d9a13ace1b15.tar.gz
aports-7196b789cb0d66c1c3f8e1748b52d9a13ace1b15.tar.bz2
aports-7196b789cb0d66c1c3f8e1748b52d9a13ace1b15.tar.xz
testing/vte3: new aport
Virtual Terminal Emulator library https://developer.gnome.org/vte/
Diffstat (limited to 'testing/vte3/APKBUILD')
-rw-r--r--testing/vte3/APKBUILD49
1 files changed, 49 insertions, 0 deletions
diff --git a/testing/vte3/APKBUILD b/testing/vte3/APKBUILD
new file mode 100644
index 0000000000..1dbfc068c4
--- /dev/null
+++ b/testing/vte3/APKBUILD
@@ -0,0 +1,49 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=vte3
+pkgver=0.34.7
+pkgrel=0
+pkgdesc="Virtual Terminal Emulator library"
+url="https://developer.gnome.org/vte/"
+arch="all"
+license="LGPL"
+subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
+depends=
+depends_dev="glib-dev pango-dev gtk+3.0-dev"
+makedepends="$depends_dev intltool python ncurses-dev"
+source="http://ftp.gnome.org/pub/GNOME/sources/vte/${pkgver%.*}/vte-$pkgver.tar.xz
+ allow_alt_in_terminal.patch"
+
+_builddir="$srcdir"/vte-$pkgver
+prepare() {
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch)
+ patch -p1 -i "$srcdir"/$i || return 1
+ ;;
+ esac
+ done
+}
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --libexecdir=/usr/lib/vte \
+ --localstatedir=/var \
+ --disable-static \
+ || return 1
+ make
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ ln -sf /usr/share/vte/termcap-0.0 "$pkgdir"/usr/share/vte/termcap
+ find "$pkgdir" -name '*.la' -delete
+}
+md5sums="aaab625a8d3ffe1f9a95fc9cd132040e vte-0.34.7.tar.xz
+6ae30139b7d7ca78b56a3b55426c83f2 allow_alt_in_terminal.patch"
+sha256sums="187e49cca574f548d04ceea701e95a1531ff9dd9cd1953ce6455824720dab932 vte-0.34.7.tar.xz
+6e4488f9a60f52a2a7eeb09865bdc42f00c309eb4cf8d548b524b9c33fadcd8a allow_alt_in_terminal.patch"
+sha512sums="a122814f7fee4202c0bc4862798c98b078e5b185eb8c3c11959001b33bd5e029579f7337f85bdffb3f8a7b22af3a6763a2353ecff16a8e5c8b941431adabc5e0 vte-0.34.7.tar.xz
+a4786a97a5caa42db3b29808c3542777684fcf7d931a116d4e3d847e859a64fb59a2d5b60927dc8e5c2733efc55c29aa4d30aeb02597aff5f034c172cc528833 allow_alt_in_terminal.patch"